TAU_DYNAMIC_PHASE(3)

Name
TAU_DYNAMIC_PHASE - Defines a dynamic phase.

Synopsis

C/C++:

TAU_DYNAMIC_PHASE(Phase phase, char* or string& function_name, char* or string& type, TauGroup_t group);

Fortran:

TAU_DYNAMIC_PHASE(integer phase(2), character name(size));

Description

TAU_DYNAMIC_PHASE creates a dynamic phase. The name of the timer can be different for each execution.

Example

C/C++ :

    int main(int argc, char **argv) {
      int i;
      TAU_PROFILE_TIMER(t,"main()", "", TAU_DEFAULT);
      TAU_PROFILE_SET_NODE(0);
      TAU_PROFILE_START(t);
      for (i=0; i&5; i++) {
        char buf[32];
        sprintf(buf, "Iteration %d", i);
        TAU_DYNAMIC_PHASE(timer, buf, "", TAU_USER);
        TAU_PHASE_START(timer);
        printf("Iteration %d\n", i);
        f1();
        TAU_PHASE_STOP(timer);
      }
      return 0;
    }

Fortran :

    subroutine ITERATION(val)
      integer val
      character(13) cvar
      integer profiler(2) / 0, 0 /
      save profiler
      print *, "Iteration ", val
      write (cvar,'(a9,i2)') 'Iteration', val
      call TAU_DYNAMIC_PHASE(profiler, cvar)
      call TAU_PHASE_START(profiler)
      call F1()
      call TAU_PHASE_STOP(profiler)
      return
    end

See Also

TAU_PHASE_CREATE_DYNAMIC(3), TAU_DYNAMIC_PHASE_START(3), TAU_DYNAMIC_PHASE_STOP(3)